﻿// $Header: $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.
using System;
using System.Collections.Generic;
using OpcLabs.BaseLib.Console;

namespace DocExamples.DataAccess.Xml
{
    static class XmlExamplesMenu
    {
        public static void Main1()
        {
            var actionArray = new Action[] {
                // ReSharper disable RedundantCommaInArrayInitializer

                BrowseNodes.RecursiveXml,
                ChangeItemSubscription.Main1Xml,
                GetMultiplePropertyValues.DataTypeXml,
                PullItemChanged.Main1Xml,
                ReadMultipleItems.Main1Xml,
                SubscribeItem.CallbackLambdaXml,
                WriteItemValue.Main1Xml,

                // ReSharper restore RedundantCommaInArrayInitializer
            };

            var actionList = new List<Action>(actionArray);
            bool cont;
            do
            {
                Console.WriteLine();
                cont = ConsoleDialog.SelectAndPerformAction("Select action to perform", "Return", actionList);
                if (cont)
                {
                    Console.WriteLine("Press Enter to continue...");
                    Console.ReadLine();
                }
            }
            while (cont);
        }
    }
}
